Bug 1122067 (CVE-2014-5032) - CVE-2014-5032 glpi: cost information disclore vulnerability
Summary: CVE-2014-5032 glpi: cost information disclore vulnerability
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-5032
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140627,repor...
Depends On: 1122068 1122069
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 13:15 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:07 UTC (History)
1 user (show)

Fixed In Version: glpi 0.84.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 14:22:51 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-07-22 13:15:04 UTC
It was reported [1] that GLPI prior to version 0.84.7 had a bug where a user without 
access to cost information can in fact see the information when
selecting cost as a search criteria [2].
This is fixed by commit [3] which appears to have been included for version  0.84.7 [4].

[1]: http://seclists.org/oss-sec/2014/q3/213
[2]: https://forge.indepnet.net/issues/4984
[3]: https://forge.indepnet.net/projects/glpi/repository/revisions/23061
[4]: http://www.glpi-project.org/spip.php?page=annonce&id_breve=326&lang=en

Comment 1 Vasyl Kaigorodov 2014-07-22 13:15:24 UTC
Created glpi tracking bugs for this issue:

Affects: fedora-all [bug 1122068]
Affects: epel-all [bug 1122069]

Comment 2 Remi Collet 2014-07-22 14:22:51 UTC
EPEL-7 and Fedora >= 20 have glpi 0.84.7

EPEL <= 6 and Fedora 19 have glpi 0.83.9

As the ticketcost is a new right/feature introduced in 0.84
In previous version all user are allowed to see the cost tab.

So no bug.

Comment 3 Vasyl Kaigorodov 2014-07-23 13:47:56 UTC
Just for the records a CVE has been assigned to this: http://openwall.com/lists/oss-security/2014/07/22/15
Sorry for the noise - will check shipped versions more carefully next time.


Note You need to log in before you can comment on or make changes to this bug.